@import "variables/colors";
@import "variables/font";

.product-offer-card {
  border: 1px solid $neutral-40;
  border-radius: 10px;
  padding: 1rem;
  position: relative;

  &--new {
    background-color: $caribbean-green-60;
    color: $neutral;
    position: absolute;
    top: -12px;
    right: -16px;
    padding: 2px 6px;
    border-radius: 3px;
    font-family: $poppins-semibold;
    font-size: 12px;
  }

  .title {
    font-family: $font-family-bold;
    margin: 0;
    padding: 0;
  }
  .details {
    display: flex;
    gap: 1.5rem;
    &--list {
      display: grid;
      gap: 0.5rem;
    }

    &__info {
      margin: 0;
      padding: 0;
      font-size: 12px;
      font-family: $roboto-medium;
      color: $neutral-60;
    }
  }

  .divider {
    background: $neutral-40;
    border: 0.5px solid $neutral-40;
    margin-bottom: 1rem;
    margin-top: 8px;
  }
}
